#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libppd
Version		:	2.0.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Library for developing printing filters

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache-2.0
URL		:	https://github.com/OpenPrinting/libcupsfilters/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-upstream_fixes-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	cups-devel
BuildRequires	:	libcupsfilters-devel
BuildRequires	:	ghostscript
BuildRequires	:	poppler

#-----------------------------------------------------------------------------
%description
Libcupsfilters provides a library, which implements
common functions used in cups-browsed daemon and
printing filters, and additional files as banner
templates and character sets.
The filters are used in CUPS daemon and in printer
applications.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc ABOUT-NLS AUTHORS CHANGES.md README.md
%license LICENSE NOTICE COPYING
%{_libdir}/libppd.so.2*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_docdir}/%{name}-%{version}/CONTRIBUTING.md
%{_docdir}/%{name}-%{version}/DEVELOPING.md
%{_includedir}/ppd/ppd-filter.h
%{_includedir}/ppd/ppdc.h
%{_includedir}/ppd/ppd.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-mutool				\
	--disable-static				\
	--disable-rpath					\
	--disable-ppdc-utils				\
	--disable-testppdfile				\
	--with-pdftops=hybrid				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

%{__make}						\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# remove INSTALL since it is unnecessary
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/INSTALL

# remove the license files from doc dir, since we ship them in /usr/share/licenses
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/{LICENSE,NOTICE,COPYING}

# 1.x was the release were all cups-filters components were together
# let only libcupsfilters to carry it
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/CHANGES-1.x.md

# charsets and header files needed for PPD compilation in runtime
# are for now shipped by cups - libppd will ship them once cups
# drops them
rm -rf %{buildroot}%{_datadir}/ppdc

#-----------------------------------------------------------------------------
%changelog
